Package io.dapr.v1

# Class CommonProtos.InvokeResponse

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.CommonProtos.InvokeResponse

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `CommonProtos.InvokeResponseOrBuilder`, `java.io.Serializable`

Enclosing class:
  CommonProtos

    public static final class CommonProtos.InvokeResponse
    extends com.google.protobuf.GeneratedMessageV3
    implements CommonProtos.InvokeResponseOrBuilder

     InvokeResponse is the response message inclduing data and its content type
     from app callback.
     This message is used in InvokeService of Dapr gRPC Service and OnInvoke
     of AppCallback gRPC service.

Protobuf type `dapr.proto.common.v1.InvokeResponse`

See Also:
  Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `CommonProtos.InvokeResponse.Builder` | InvokeResponse is the response message inclduing data and its content type from app callback.

  ## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

  `com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

  ## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

  `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `CONTENT_TYPE_FIELD_NUMBER` |
  `static int` | `DATA_FIELD_NUMBER` |

  ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

  `alwaysUseFieldBuilders, unknownFields`

  ### Fields inherited from class com.google.protobuf.AbstractMessage

  `memoizedSize`

  ### Fields inherited from class com.google.protobuf.AbstractMessageLite

  `memoizedHashCode`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(java.lang.Object obj)` |
  `java.lang.String` | `getContentType()` | Required.
  `com.google.protobuf.ByteString` | `getContentTypeBytes()` | Required.
  `com.google.protobuf.Any` | `getData()` | Required.
  `com.google.protobuf.AnyOrBuilder` | `getDataOrBuilder()` | Required.
  `static CommonProtos.InvokeResponse` | `getDefaultInstance()` |
  `CommonProtos.InvokeResponse` | `getDefaultInstanceForType()` |
  `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
  `com.google.protobuf.Parser<CommonProtos.InvokeResponse>` | `getParserForType()` |
  `int` | `getSerializedSize()` |
  `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
  `boolean` | `hasData()` | Required.
  `int` | `hashCode()` |
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
  `boolean` | `isInitialized()` |
  `static CommonProtos.InvokeResponse.Builder` | `newBuilder()` |
  `static CommonProtos.InvokeResponse.Builder` | `newBuilder​(CommonProtos.InvokeResponse prototype)` |
  `CommonProtos.InvokeResponse.Builder` | `newBuilderForType()` |
  `protected CommonProtos.InvokeResponse.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
  `protected java.lang.Object` | `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)` |
  `static CommonProtos.InvokeResponse` | `parseDelimitedFrom​(java.io.InputStream input)` |
  `static CommonProtos.InvokeResponse` | `parseDelimitedFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.InvokeResponse` | `parseFrom​(byte[] data)` |
  `static CommonProtos.InvokeResponse` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.InvokeResponse` | `parseFrom​(com.google.protobuf.ByteString data)` |
  `static CommonProtos.InvokeResponse` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.InvokeResponse` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
  `static CommonProtos.InvokeResponse` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.InvokeResponse` | `parseFrom​(java.io.InputStream input)` |
  `static CommonProtos.InvokeResponse` | `parseFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.InvokeResponse` | `parseFrom​(java.nio.ByteBuffer data)` |
  `static CommonProtos.InvokeResponse` | `parseFrom​(java.nio.ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static com.google.protobuf.Parser<CommonProtos.InvokeResponse>` | `parser()` |
  `CommonProtos.InvokeResponse.Builder` | `toBuilder()` |
  `void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

  `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

  ### Methods inherited from class com.google.protobuf.AbstractMessage

  `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite

  `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite

  `toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

- ## Field Details

  - ### DATA_FIELD_NUMBER

    public static final int DATA_FIELD_NUMBER
    See Also:
      Constant Field Values

  - ### CONTENT_TYPE_FIELD_NUMBER

    public static final int CONTENT_TYPE_FIELD_NUMBER
    See Also:
      Constant Field Values

- ## Method Details

  - ### newInstance

    protected java.lang.Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)
    Overrides:
      `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()
    Specified by:
      `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

  - ### hasData

    public boolean hasData()

         Required. The content body of InvokeService response.

    `.google.protobuf.Any data = 1;`
    Specified by:
      `hasData` in interface `CommonProtos.InvokeResponseOrBuilder`
    Returns:
      Whether the data field is set.

  - ### getData

    public com.google.protobuf.Any getData()

         Required. The content body of InvokeService response.

    `.google.protobuf.Any data = 1;`
    Specified by:
      `getData` in interface `CommonProtos.InvokeResponseOrBuilder`
    Returns:
      The data.

  - ### getDataOrBuilder

    public com.google.protobuf.AnyOrBuilder getDataOrBuilder()

         Required. The content body of InvokeService response.

    `.google.protobuf.Any data = 1;`
    Specified by:
      `getDataOrBuilder` in interface `CommonProtos.InvokeResponseOrBuilder`

  - ### getContentType

    public java.lang.String getContentType()

         Required. The type of data content.

    `string content_type = 2;`
    Specified by:
      `getContentType` in interface `CommonProtos.InvokeResponseOrBuilder`
    Returns:
      The contentType.

  - ### getContentTypeBytes

    public com.google.protobuf.ByteString getContentTypeBytes()

         Required. The type of data content.

    `string content_type = 2;`
    Specified by:
      `getContentTypeBytes` in interface `CommonProtos.InvokeResponseOrBuilder`
    Returns:
      The bytes for contentType.

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

  - ### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output) throws java.io.IOException
    Specified by:
      `writeTo` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
    Throws:
      `java.io.IOException`

  - ### getSerializedSize

    public int getSerializedSize()
    Specified by:
      `getSerializedSize` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

  - ### equals

    public boolean equals​(java.lang.Object obj)
    Specified by:
      `equals` in interface `com.google.protobuf.Message`
    Overrides:
      `equals` in class `com.google.protobuf.AbstractMessage`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `com.google.protobuf.Message`
    Overrides:
      `hashCode` in class `com.google.protobuf.AbstractMessage`

  - ### parseFrom

    public static CommonProtos.InvokeResponse parseFrom​(java.nio.ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.InvokeResponse parseFrom​(java.nio.ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.InvokeResponse parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.InvokeResponse parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.InvokeResponse parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.InvokeResponse parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.InvokeResponse parseFrom​(java.io.InputStream input) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseFrom

    public static CommonProtos.InvokeResponse parseFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseDelimitedFrom

    public static CommonProtos.InvokeResponse parseDelimitedFrom​(java.io.InputStream input) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseDelimitedFrom

    public static CommonProtos.InvokeResponse parseDelimitedFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseFrom

    public static CommonProtos.InvokeResponse parseFrom​(com.google.protobuf.CodedInputStream input) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseFrom

    public static CommonProtos.InvokeResponse parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### newBuilderForType

    public CommonProtos.InvokeResponse.Builder newBuilderForType()
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.Message`
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.MessageLite`

  - ### newBuilder

    public static CommonProtos.InvokeResponse.Builder newBuilder()

  - ### newBuilder

    public static CommonProtos.InvokeResponse.Builder newBuilder​(CommonProtos.InvokeResponse prototype)

  - ### toBuilder

    public CommonProtos.InvokeResponse.Builder toBuilder()
    Specified by:
      `toBuilder` in interface `com.google.protobuf.Message`
    Specified by:
      `toBuilder` in interface `com.google.protobuf.MessageLite`

  - ### newBuilderForType

    protected CommonProtos.InvokeResponse.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)
    Specified by:
      `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDefaultInstance

    public static CommonProtos.InvokeResponse getDefaultInstance()

  - ### parser

    public static com.google.protobuf.Parser<CommonProtos.InvokeResponse> parser()

  - ### getParserForType

    public com.google.protobuf.Parser<CommonProtos.InvokeResponse> getParserForType()
    Specified by:
      `getParserForType` in interface `com.google.protobuf.Message`
    Specified by:
      `getParserForType` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDefaultInstanceForType

    public CommonProtos.InvokeResponse getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`